Bug 1004322 - Unable to use hotkeys with Russian xkb layout in non-gtk programs
Unable to use hotkeys with Russian xkb layout in non-gtk programs
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 08:08 EDT by Alex
Modified: 2016-12-20 07:42 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 07:42:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex 2013-09-04 08:08:32 EDT
Description of problem:
If Russian xkb layout is active, it's impossible to use keyboard shortcuts in non-gtk programs.

Version-Release number of selected component (if applicable):
Gnome Shell - 3.8.4-2.fc19 
GTK: gtk3 - 3.8.4-1.fc19

How reproducible:
always

Steps to Reproduce:
0. Login with gnome-shell
1. Start blender
2. Switch keyboard layout to russian
3. Press hotkey 's' to resize default cube

Actual results:
Nothing will happen

Expected results:
Resize default cube

Additional info:

Hotkeys in russian layout works with gtk-programs, like:
Geany, Gedit, Gnome Terminal, Transmission.

And don't work with any non-gtk programs, like:
LibreOffice, blender, psi, QBittorrent.

It's a gnome problem. If login in KDE - then hotkeys in russian layout works fine.
Comment 1 Nrbrtx 2013-12-24 04:22:20 EST
This bug exists in Ubuntu too https://bugs.launchpad.net/unity/+bug/1226962 (200 users affected).
Comment 2 Sam Tuke 2014-11-04 06:25:27 EST
This bug appears to still exist in Fedora 20 with Gnome 3. Tested with Hebrew.

Try adding a new Hebrew keyboard layout, opening apps like Caligra, Kate, LibreOffice, and using Keyboard shortcuts like copy and paste.

For the KDE apps, could this be due to using an unpatched version of Qt where related bugs still exist? What is the likely cause in LibreOffice? Independent of this bug? https://www.libreoffice.org/bugzilla/show_bug.cgi?id=41169

Also related: https://bugs.launchpad.net/unity/+bug/1226962
Comment 3 Fedora End Of Life 2015-01-09 14:43:16 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Alexander Bokovoy 2015-02-16 14:52:17 EST
Still exists in Fedora 21. KDE apps (Konversation, Digikam, ..) don't respond to shortcuts, even in English keyboard layout when GNOME shell is in use.
Comment 5 Fedora End Of Life 2015-11-04 08:35:50 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Alexander Bokovoy 2015-11-04 08:39:07 EST
Still valid for Fedora 23.
Comment 7 Fedora End Of Life 2016-11-24 06:02:24 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2016-12-20 07:42:06 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.